# Comment out when not a git archive
#define git_commit	4bb794c5fd632ada72a3428ea660adab3bb71cb7
#define git_date	20230527

%define rel 1

Name:		lxqt-menu-data
Version:	1.4.1
Release:	%mkrel %{?git_date:0.git%git_date.}%{rel}
Summary:	Menu files for LXQt Panel, Configuration Center and PCManFM-Qt/libfm-qt
License:	LGPLv2+
Group:		Graphical desktop/KDE
URL:		https://lxqt-project.org
Source0:	https://github.com/lxqt/lxqt-menu-data/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	cmake
BuildRequires:	intltool
BuildRequires:	cmake(lxqt-build-tools)
BuildRequires:	cmake(Qt5LinguistTools)

%description
Freedesktop.org compliant menu files for LXQt Panel, Configuration
Center and PCManFM-Qt/libfm-qt.

Runtime and build dependency for lxqt-panel, lxqt-config and pcmanfm-qt.

Replacement for and partially based on lxmenu-data (LXDE).

%prep
%autosetup -p1 -n %{name}%{?git_date:-%git_commit}%{!?git_date:-%version}

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_sysconfdir}/xdg/menus/lxqt-applications.menu
%{_sysconfdir}/xdg/menus/lxqt-applications-compact.menu
%{_sysconfdir}/xdg/menus/lxqt-applications-fm.menu
%{_sysconfdir}/xdg/menus/lxqt-applications-simple.menu
%{_sysconfdir}/xdg/menus/lxqt-config.menu
%{_datadir}/desktop-directories/lxqt*.directory
%{_datadir}/cmake/%{name}/


%changelog
* Tue Nov 21 2023 papoteur <papoteur> 1.4.1-1.mga9
+ Revision: 2008808
- use relesead tarball
- new version 1.4.1

* Sun Jun 04 2023 daviddavid <daviddavid> 1.3.0-0.git20230527.1.mga9
+ Revision: 1960928
- initial package lxqt-menu-data (mga#31838)

